- entry_type: invariant_set
  metadata:
    format_version: '2.0'
    uuid: d15483f6-d5ee-4980-bd3c-654651719181
    creation_time: '2024-11-09T22:37:32+01:00'
    producer:
      name: Automizer
      version: 0.2.5-tmp.fs.icfgbuilder-eval-023d838-m
    task:
      input_files:
      - /storage/repos/ultimate/releaseScripts/default/sv-benchmarks/c/nla-digbench-scaling/fermat1-ll_valuebound50.c
      input_file_hashes:
        /storage/repos/ultimate/releaseScripts/default/sv-benchmarks/c/nla-digbench-scaling/fermat1-ll_valuebound50.c: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
      specification: |+
        CHECK( init(main()), LTL(G ! call(reach_error())) )

      data_model: ILP32
      language: C
  content:
  - invariant:
      type: location_invariant
      location:
        file_name: /storage/repos/ultimate/releaseScripts/default/sv-benchmarks/c/nla-digbench-scaling/fermat1-ll_valuebound50.c
        file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
        line: 35
        column: 15
        function: main
      value: ((((((long long) A * 4) + ((__int128) r * 4)) + ((__int128) v * v)) + ((__int128) 2 * u)) == (((__int128) 2 * v) + ((__int128) u * u)))
      format: c_expression
  - invariant:
      type: location_invariant
      location:
        file_name: /storage/repos/ultimate/releaseScripts/default/sv-benchmarks/c/nla-digbench-scaling/fermat1-ll_valuebound50.c
        file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
        line: 35
        column: 5
        function: main
      value: ((((((long long) A * 4) + ((__int128) r * 4)) + ((__int128) v * v)) + ((__int128) 2 * u)) == (((__int128) 2 * v) + ((__int128) u * u)))
      format: c_expression
